﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="ShowChildPopupSample.Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<%@ Register Assembly="ShowChildPopupSample" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc2" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Show ChildPopup</title>
    <style>
        html, body, form {
            height: 100%;
        }

        #UpdatePanel1 {
            height: 100%;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="Map1_Script" runat="server">
        </asp:ScriptManager>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <cc2:MapContainer ID="MapContainer" runat="server" Width="100%" Height="100%">
                    <cc1:Map ID="Map1" runat="server" Width="100%" Height="100%" OnClick="Map1_Click">
                    </cc1:Map>
                </cc2:MapContainer>
            </ContentTemplate>
        </asp:UpdatePanel>
    </form>
    <script>

        function showChildPopup(event) {
            // Get the screenpoint
            var e = event || window.event;
            var x = e.clientX;
            var y = e.clientY;

            __doPostBack('MapContainer', 'SHOWPOPUP^' + x + '^' + y);
        }
    </script>
</body>
</html>
